"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateTheme = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var button_1 = require("@uireact/button");
var card_1 = require("@uireact/card");
var foundation_1 = require("@uireact/foundation");
var grid_1 = require("@uireact/grid");
var view_1 = require("@uireact/view");
var text_1 = require("@uireact/text");
var form_sections_1 = require("./form-sections");
var CreateTheme = function () {
    var _a = react_1.default.useState(foundation_1.DefaultTheme), customTheme = _a[0], setCustomTheme = _a[1];
    var _b = react_1.default.useState(false), themeVisible = _b[0], setThemeVisible = _b[1];
    var handleSubmit = react_1.default.useCallback(function (e) {
        setThemeVisible(true);
        e.preventDefault();
    }, [customTheme]);
    var handleChange = react_1.default.useCallback(function (e) {
        var keys = e.currentTarget.name.split('-');
        if (keys[2]) {
            // eslint-disable-next-line @typescript-eslint/ban-ts-comment
            //@ts-ignore
            customTheme[keys[0]][keys[1]][keys[2]] = e.currentTarget.value;
        }
        else {
            // eslint-disable-next-line @typescript-eslint/ban-ts-comment
            //@ts-ignore
            customTheme[keys[0]][keys[1]] = e.currentTarget.value;
        }
        setCustomTheme(tslib_1.__assign({}, customTheme));
    }, [customTheme, setCustomTheme]);
    var copyToClipboard = react_1.default.useCallback(function () {
        navigator.clipboard.writeText(JSON.stringify(customTheme, null, 4)).then(function () {
            alert('Theme copied!');
        });
    }, [customTheme]);
    return (react_1.default.createElement(view_1.UiView, { theme: foundation_1.DefaultTheme, selectedTheme: foundation_1.ThemeColor.dark },
        react_1.default.createElement(view_1.UiViewRow, { weight: "10" },
            react_1.default.createElement("form", { onSubmit: handleSubmit },
                react_1.default.createElement(react_1.default.Fragment, null,
                    react_1.default.createElement(grid_1.UiGrid, { cols: { small: 1, medium: 4, large: 10, xlarge: 10 } },
                        react_1.default.createElement(grid_1.UiGridItem, { cols: 10 },
                            react_1.default.createElement(foundation_1.UiSpacing, { margin: { all: 'four' } },
                                react_1.default.createElement(card_1.UiCard, { weight: foundation_1.ColorTokens.token_200 },
                                    react_1.default.createElement(text_1.UiHeading, null, "Colorations"),
                                    react_1.default.createElement(text_1.UiText, null,
                                        "For a detailed explanation on each coloration usage and tips, you should check",
                                        ' ',
                                        react_1.default.createElement(text_1.UiLink, { href: "./create-theme#colorations-", theme: "secondary" }, "this doc"),
                                        "."))),
                            react_1.default.createElement(form_sections_1.ColorationForm, { type: "light", coloration: customTheme.light, handleChange: handleChange }),
                            react_1.default.createElement(form_sections_1.ColorationForm, { type: "dark", coloration: customTheme.dark, handleChange: handleChange })),
                        react_1.default.createElement(grid_1.UiGridItem, { cols: 10 },
                            react_1.default.createElement(foundation_1.UiSpacing, { margin: { all: 'four' } },
                                react_1.default.createElement(card_1.UiCard, { weight: foundation_1.ColorTokens.token_200 },
                                    react_1.default.createElement(text_1.UiHeading, null, "Sizes"))),
                            react_1.default.createElement(foundation_1.UiSpacing, { margin: { all: 'four' } },
                                react_1.default.createElement(grid_1.UiGrid, { cols: 2, colsGap: 10 },
                                    react_1.default.createElement(form_sections_1.HeadingsForm, { headings: customTheme.sizes.headings, handleChange: handleChange, name: "sizes-headings" }),
                                    react_1.default.createElement(form_sections_1.TextsForm, { texts: customTheme.sizes.texts, handleChange: handleChange, name: "sizes-texts" })))),
                        react_1.default.createElement(grid_1.UiGridItem, { cols: 10 },
                            react_1.default.createElement(form_sections_1.FontsForm, { texts: customTheme.texts, handleChange: handleChange, name: "texts" })),
                        react_1.default.createElement(grid_1.UiGridItem, { cols: 10 },
                            react_1.default.createElement(form_sections_1.SpacingForm, { spacing: customTheme.spacing, handleChange: handleChange, name: "spacing" }))),
                    react_1.default.createElement(foundation_1.UiSpacing, { padding: { all: 'four' } },
                        react_1.default.createElement(button_1.UiButton, { type: "submit", fullWidth: true, theme: "positive" },
                            react_1.default.createElement(foundation_1.UiSpacing, { margin: { block: 'four' } },
                                react_1.default.createElement(text_1.UiText, { size: foundation_1.TextSize.xlarge }, "Generate theme"))))))),
        themeVisible && (react_1.default.createElement(view_1.UiViewRow, null,
            react_1.default.createElement(foundation_1.UiSpacing, { padding: { all: 'four' } },
                react_1.default.createElement(text_1.UiText, null,
                    react_1.default.createElement("pre", null, "".concat(JSON.stringify(customTheme, null, 4))))),
            react_1.default.createElement(foundation_1.UiSpacing, { padding: { all: 'four' } },
                react_1.default.createElement(button_1.UiButton, { fullWidth: true, onClick: copyToClipboard, theme: "warning" },
                    react_1.default.createElement(foundation_1.UiSpacing, { margin: { all: 'four' } }, "Copy to clipboard")))))));
};
exports.CreateTheme = CreateTheme;
//# sourceMappingURL=create-theme.js.map