"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorationForm = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var foundation_1 = require("@uireact/foundation");
var text_1 = require("@uireact/text");
var grid_1 = require("@uireact/grid");
var _1 = require(".");
var card_1 = require("@uireact/card");
var ColorationForm = function (_a) {
    var type = _a.type, handleChange = _a.handleChange, coloration = _a.coloration;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(foundation_1.UiSpacing, { margin: { all: 'four' } },
            react_1.default.createElement(card_1.UiCard, { theme: "tertiary" },
                react_1.default.createElement(text_1.UiHeading, null, type))),
        react_1.default.createElement(foundation_1.UiSpacing, { margin: { all: 'four' } },
            react_1.default.createElement(text_1.UiHeading, null, "General colorations"),
            react_1.default.createElement(grid_1.UiGrid, { cols: { small: 1, medium: 2, large: 2, xlarge: 2 }, colsGap: 10, rowsGap: 10 },
                react_1.default.createElement(_1.TokensForm, { name: "".concat(type, "-backgrounds"), tokens: coloration.backgrounds, handleChange: handleChange }),
                react_1.default.createElement(_1.TokensForm, { name: "".concat(type, "-fonts"), tokens: coloration.fonts, handleChange: handleChange }))),
        react_1.default.createElement(foundation_1.UiSpacing, { margin: { all: 'four' } },
            react_1.default.createElement(text_1.UiHeading, null, "Level colorations"),
            react_1.default.createElement(grid_1.UiGrid, { cols: { small: 1, medium: 2, large: 2, xlarge: 2 }, colsGap: 10, rowsGap: 10 },
                react_1.default.createElement(_1.TokensForm, { name: "".concat(type, "-primary"), tokens: coloration.primary, handleChange: handleChange }),
                react_1.default.createElement(_1.TokensForm, { name: "".concat(type, "-secondary"), tokens: coloration.secondary, handleChange: handleChange }),
                react_1.default.createElement(_1.TokensForm, { name: "".concat(type, "-tertiary"), tokens: coloration.tertiary, handleChange: handleChange }))),
        react_1.default.createElement(foundation_1.UiSpacing, { margin: { all: 'four' } },
            react_1.default.createElement(text_1.UiHeading, null, "State colorations"),
            react_1.default.createElement(grid_1.UiGrid, { cols: { small: 1, medium: 2, large: 2, xlarge: 2 }, colsGap: 10, rowsGap: 10 },
                react_1.default.createElement(_1.TokensForm, { name: "".concat(type, "-positive"), tokens: coloration.positive, handleChange: handleChange }),
                react_1.default.createElement(_1.TokensForm, { name: "".concat(type, "-negative"), tokens: coloration.negative, handleChange: handleChange }),
                react_1.default.createElement(_1.TokensForm, { name: "".concat(type, "-error"), tokens: coloration.error, handleChange: handleChange }),
                react_1.default.createElement(_1.TokensForm, { name: "".concat(type, "-warning"), tokens: coloration.warning, handleChange: handleChange })))));
};
exports.ColorationForm = ColorationForm;
//# sourceMappingURL=coloration-form.js.map