"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestTheme = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var view_1 = require("@uireact/view");
var text_1 = require("@uireact/text");
var foundation_1 = require("@uireact/foundation");
var header_1 = require("@uireact/header");
var card_1 = require("@uireact/card");
var grid_1 = require("@uireact/grid");
var list_1 = require("@uireact/list");
var badge_1 = require("@uireact/badge");
var form_1 = require("@uireact/form");
var button_1 = require("@uireact/button");
var icons_1 = require("@uireact/icons");
var TestTheme = function () {
    var _a = react_1.default.useState(foundation_1.DefaultTheme), customTheme = _a[0], setCustomTheme = _a[1];
    var _b = react_1.default.useState(JSON.stringify(foundation_1.DefaultTheme)), themeInput = _b[0], setThemeInput = _b[1];
    var _c = react_1.default.useState(foundation_1.ThemeColor.dark), coloration = _c[0], setColoration = _c[1];
    var handleChange = react_1.default.useCallback(function (e) {
        setThemeInput(e.currentTarget.value);
    }, [setCustomTheme]);
    var toogleColoration = react_1.default.useCallback(function () {
        setColoration(function (coloration) { return (coloration === foundation_1.ThemeColor.dark ? foundation_1.ThemeColor.light : foundation_1.ThemeColor.dark); });
    }, [setColoration]);
    var loadTheme = react_1.default.useCallback(function () {
        try {
            var theme = JSON.parse(themeInput);
            setCustomTheme(theme);
        }
        catch (_a) {
            alert('The theme object is malformed');
        }
    }, [themeInput, setCustomTheme]);
    return (react_1.default.createElement(view_1.UiView, { theme: customTheme || foundation_1.DefaultTheme, selectedTheme: coloration },
        react_1.default.createElement(foundation_1.UiSpacing, { margin: { left: 'three' } },
            react_1.default.createElement(text_1.UiHeading, null, "Paste the newly created custom theme here:"),
            react_1.default.createElement(form_1.UiTextArea, { name: "custom-theme", value: themeInput, cols: 50, rows: 20, onChange: handleChange }),
            react_1.default.createElement(foundation_1.UiSpacing, { margin: { bottom: 'five' } },
                react_1.default.createElement(button_1.UiButton, { onClick: loadTheme, theme: "warning" },
                    react_1.default.createElement(foundation_1.UiSpacing, { padding: { block: 'four' } }, "Load theme"))),
            react_1.default.createElement("hr", null),
            react_1.default.createElement("br", null),
            react_1.default.createElement(button_1.UiButton, { onClick: toogleColoration, theme: "positive" },
                react_1.default.createElement(foundation_1.UiSpacing, { padding: { block: 'four' } }, "Toggle coloration")),
            react_1.default.createElement("br", null),
            react_1.default.createElement("br", null)),
        react_1.default.createElement(header_1.UiHeader, null,
            react_1.default.createElement(foundation_1.UiSpacing, { margin: { left: 'four' } },
                react_1.default.createElement(text_1.UiHeading, { level: 1 }, "Header"))),
        react_1.default.createElement(view_1.UiViewRow, { weight: "10" },
            react_1.default.createElement(foundation_1.UiSpacing, { padding: { inline: 'three' } },
                react_1.default.createElement(foundation_1.UiSpacing, { padding: { block: 'five' } },
                    react_1.default.createElement(card_1.UiCard, null,
                        react_1.default.createElement(text_1.UiText, { size: foundation_1.TextSize.large }, "Lorem ipsum dolor sit amet"),
                        react_1.default.createElement("br", null),
                        react_1.default.createElement(text_1.UiText, null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi venenatis accumsan ex, ut condimentum sapien condimentum in. Aenean venenatis eu eros eu ultrices. Integer scelerisque elit id augue vehicula sollicitudin. Nunc quis arcu ipsum. Aenean mi turpis, interdum sit amet odio id, eleifend pellentesque nisi."))))),
        react_1.default.createElement(view_1.UiViewRow, { weight: "10" },
            react_1.default.createElement(grid_1.UiGrid, { cols: { small: 1, medium: 2, large: 6, xlarge: 6 } },
                react_1.default.createElement(grid_1.UiGridItem, { cols: 4 },
                    react_1.default.createElement(foundation_1.UiSpacing, { padding: { all: 'four' } },
                        react_1.default.createElement(card_1.UiCard, null,
                            react_1.default.createElement(text_1.UiText, null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi venenatis accumsan ex, ut condimentum sapien condimentum in. Aenean venenatis eu eros eu ultrices. Integer scelerisque elit id augue vehicula sollicitudin. Nunc quis arcu ipsum. Aenean mi turpis, interdum sit amet odio id, eleifend pellentesque nisi. Praesent nibh nisi, consectetur at blandit sit amet, mollis ac tellus. Nulla risus sem, dignissim quis tincidunt id, malesuada vel felis. Nulla porttitor neque metus, ac varius justo lacinia sed. Aliquam magna nisi, porttitor elementum mollis nec, commodo ut risus. Nullam eros orci, egestas vitae ligula sed, laoreet volutpat felis. Cras eleifend finibus turpis, ut varius mi semper sed. In sit amet interdum urna. Morbi sit amet justo sed nunc feugiat convallis."),
                            react_1.default.createElement("br", null),
                            react_1.default.createElement(text_1.UiText, null,
                                "Donec quis lectus vitae turpis convallis tempus facilisis id augue. Fusce semper est sem, sed efficitur dolor semper in. Nam sit amet nulla ac massa consequat auctor eu ac dolor. Donec sollicitudin nibh ut mollis faucibus. Quisque ac nibh nec ipsum pellentesque malesuada. Fusce eu accumsan felis, id ullamcorper urna. Phasellus pulvinar, velit nec varius rutrum, enim nibh lobortis ligula, id facilisis lorem elit ac dui. Morbi tellus enim, eleifend id ipsum at, lacinia venenatis eros. Integer et mauris euismod, ultricies velit vel, sagittis ex.",
                                ' ',
                                react_1.default.createElement(text_1.UiLink, { href: "#" }, "Lorem ipsum dolor sit amet"),
                                " ",
                                react_1.default.createElement(badge_1.UiBadge, { category: "tertiary" }, "\uD83D\uDC1E dolor")))),
                    react_1.default.createElement(foundation_1.UiSpacing, { padding: { all: 'four' } },
                        react_1.default.createElement(card_1.UiCard, null,
                            react_1.default.createElement(text_1.UiHeading, null, "Lorem ipsum"),
                            react_1.default.createElement("hr", null),
                            react_1.default.createElement("br", null),
                            react_1.default.createElement(form_1.UiInput, { label: "Lorem", labelOnTop: true, placeholder: "Lorem ipsum" }),
                            react_1.default.createElement(form_1.UiSelect, { label: "lorem", labelOnTop: true },
                                react_1.default.createElement("option", null, "Lorem"),
                                react_1.default.createElement("option", null, "ipsum")),
                            react_1.default.createElement(form_1.UiTextArea, { label: "lorem", labelOnTop: true, placeholder: "Lorem ipsum" }),
                            react_1.default.createElement(button_1.UiButton, { theme: "positive" },
                                react_1.default.createElement(icons_1.UiIcon, { icon: "Camera" }),
                                " Lorem"),
                            react_1.default.createElement(button_1.UiButton, { theme: "negative" },
                                react_1.default.createElement(icons_1.UiIcon, { icon: "Folder" }),
                                " Ipsum")))),
                react_1.default.createElement(grid_1.UiGridItem, { cols: 2 },
                    react_1.default.createElement(foundation_1.UiSpacing, { padding: { all: 'four' } },
                        react_1.default.createElement(card_1.UiCard, { theme: "tertiary" },
                            react_1.default.createElement(list_1.UiList, null,
                                react_1.default.createElement(list_1.UiListItem, null,
                                    react_1.default.createElement(text_1.UiLink, { href: "#" }, "Lorem ipsum dolor sit amet"),
                                    " ",
                                    react_1.default.createElement(badge_1.UiBadge, null, "\uD83E\uDD95 Lorem")),
                                react_1.default.createElement(list_1.UiListItem, null,
                                    react_1.default.createElement(text_1.UiLink, { href: "#" }, "Lorem ipsum dolor sit amet"),
                                    ' ',
                                    react_1.default.createElement(badge_1.UiBadge, { category: "secondary" }, "\uD83D\uDC19 ipsum")),
                                react_1.default.createElement(list_1.UiListItem, null,
                                    react_1.default.createElement(text_1.UiLink, { href: "#" }, "Lorem ipsum dolor sit amet"),
                                    " ",
                                    react_1.default.createElement(badge_1.UiBadge, { category: "tertiary" }, "\uD83D\uDC1E dolor")),
                                react_1.default.createElement(list_1.UiListItem, null,
                                    react_1.default.createElement(text_1.UiLink, { href: "#" }, "Lorem ipsum dolor sit amet"),
                                    " ",
                                    react_1.default.createElement(badge_1.UiBadge, { category: "positive" }, "\uD83D\uDC25 sit")),
                                react_1.default.createElement(list_1.UiListItem, null,
                                    react_1.default.createElement(text_1.UiLink, { href: "#" }, "Lorem ipsum dolor sit amet"),
                                    " ",
                                    react_1.default.createElement(badge_1.UiBadge, { category: "error" }, "\uD83E\uDD84 amet"))))),
                    react_1.default.createElement(foundation_1.UiSpacing, { padding: { all: 'four' } },
                        react_1.default.createElement(card_1.UiCard, { theme: "secondary" },
                            react_1.default.createElement(text_1.UiText, null, "Donec quis lectus vitae turpis convallis tempus facilisis id augue. Fusce semper est sem, sed efficitur dolor semper in. Nam sit amet nulla ac massa consequat auctor eu ac dolor. Donec sollicitudin nibh ut mollis faucibus. Quisque ac nibh nec ipsum pellentesque malesuada. Fusce eu accumsan felis, id ullamcorper urna. Phasellus pulvinar, velit nec varius rutrum, enim nibh lobortis ligula, id facilisis lorem elit ac dui. Morbi tellus enim, eleifend id ipsum at, lacinia venenatis eros. Integer et mauris euismod, ultricies velit vel, sagittis ex.")))))),
        react_1.default.createElement(view_1.UiViewRow, null,
            react_1.default.createElement(text_1.UiText, { centered: true }, "@UiReact"))));
};
exports.TestTheme = TestTheme;
//# sourceMappingURL=test-theme.js.map