"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDialogController = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var useDialogController = function () {
    var _a = react_1.default.useState([]), openedDialogs = _a[0], setOpenedDialogs = _a[1];
    var openDialog = react_1.default.useCallback(function (dialogId) {
        var found = openedDialogs.filter(function (id) { return id === dialogId; });
        if (!found || found.length === 0) {
            var newOpenedDialogs = tslib_1.__spreadArray(tslib_1.__spreadArray([], openedDialogs, true), [dialogId], false);
            setOpenedDialogs(newOpenedDialogs);
        }
    }, [openedDialogs, setOpenedDialogs]);
    var closeDialog = react_1.default.useCallback(function (dialogId) {
        var newOpenedDialogs = openedDialogs.filter(function (id) { return id !== dialogId; });
        setOpenedDialogs(newOpenedDialogs);
    }, [openedDialogs, setOpenedDialogs]);
    return {
        openDialog: openDialog,
        closeDialog: closeDialog,
        openedDialogs: openedDialogs,
    };
};
exports.useDialogController = useDialogController;
//# sourceMappingURL=use-dialogs-controller.js.map