"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThemeStyling = void 0;
var types_1 = require("../types");
var getThemeStyling = function (theme, selectedTheme, mapper) {
    var style = '';
    Object.keys(mapper).map(function (state) {
        var stateStyling = '';
        var themeState = mapper[state];
        themeState &&
            Object.keys(themeState).map(function (styleProperty) {
                var _a;
                var mapperValue = themeState[styleProperty];
                /* istanbul ignore next */
                var currentTheme = (mapperValue === null || mapperValue === void 0 ? void 0 : mapperValue.inverse)
                    ? theme[selectedTheme === types_1.ThemeColor.dark ? types_1.ThemeColor.light : types_1.ThemeColor.dark]
                    : theme[selectedTheme];
                var tokenValue = mapperValue && ((_a = currentTheme[mapperValue.category]) === null || _a === void 0 ? void 0 : _a[mapperValue.token]);
                if (!tokenValue) {
                    return;
                }
                stateStyling = "".concat(stateStyling).concat(styleProperty, ": ").concat(tokenValue, ";\n");
            });
        if (state !== types_1.ThemeMapperStates.normal) {
            style = "".concat(style, ":").concat(state, " {\n").concat(stateStyling, "}\n");
        }
        else {
            style = "".concat(style).concat(stateStyling, "\n");
        }
    });
    return style;
};
exports.getThemeStyling = getThemeStyling;
//# sourceMappingURL=get-theme-styling.js.map